import { useContext } from "react";
import { Context } from "../../state/state";

export default function TabContent({ name, component }) {
    const { state: { activeTab } } = useContext(Context)
    const Component = component
    return <div style={{paddingRight: '20px'}}>
        {activeTab === name &&
            <Component/>
        }
    </div>
}
