<?php

/*
Plugin Name: MEMBERLUX ANALYTICS
Plugin URI: https://memberlux.com
Description: МОДУЛЬ АНАЛИТИКИ
Version: 1.42
Author: Виктор Левчук
Author URI: https://t.me/leviktor
*/

use Mbl\Analytics\Core;
use Mbl\Analytics\Plugin;

if (!defined('ABSPATH')) {
    exit;
}
if (!function_exists('get_plugin_data')) {
    require_once(ABSPATH . 'wp-admin/includes/plugin.php');
}
$plugin_data = get_plugin_data(__FILE__);
define('MBAN_VERSION', $plugin_data['Version']);
define('MBAN_PLUGIN_FILE', __FILE__);
define('MBAN_PLUGIN_URI', plugin_dir_url(__FILE__));
define('MBAN_PLUGIN_PATH', plugin_dir_path(__FILE__));
require_once __DIR__ . "/src/functions.php";
require_once __DIR__ . "/vendor/autoload.php";
$MblAnalyticsPlugin = new Plugin();
(new Core())->run();
register_activation_hook(__FILE__, [$MblAnalyticsPlugin, 'activation']);

//Updater
require __DIR__ . '/plugin-update-checker/plugin-update-checker.php';
$myUpdateChecker = Puc_v4_Factory::buildUpdateChecker(
    'https://github.com/MEMBERLUX/mbl-analytics/',
    __FILE__,
    'mbl-analytics'
);
$myUpdateChecker->setAuthentication('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');
