<?php

namespace Mbl\Analytics\Filter;

class CnRoleCustomer implements Condition
{
    private string $role;

    /**
     * @param string $role
     */
    public function __construct(string $role = 'customer')
    {
        $this->role = $role;
    }

    function where($tbAlias): string
    {
        return "$tbAlias.meta_value LIKE '%" . $this->role . "%'";
    }
}
