<?php

namespace Mbl\Analytics\Filter;

class CnSpecifiedDuration implements Condition
{
    private int $duration;
    private string $units;

    /**
     * @param int $duration
     * @param string $units
     */
    public function __construct(int $duration, string $units)
    {
        $this->duration = $duration;
        $this->units = $units;
    }

    public function where($tbAlias): string
    {
        return "$tbAlias.is_unlimited != 1 AND $tbAlias.duration = $this->duration AND $tbAlias.units = '$this->units'";
    }
}
