<?php

namespace Mbl\Analytics\Filter;

class CnUtmTerm implements Condition
{
    private string $value;

    public function __construct(string $value)
    {
       $this->value = $value;
    }

    public function where($tbAlias): string
    {
        if (empty($this->value)) {
            return "1";
        }

        return sprintf("%s.utm_term = '%s'", $tbAlias, $this->value);
    }
}
