<?php

namespace Mbl\Analytics;

use WP_REST_Request;

class RtUtm
{
    public function response( WP_REST_Request $response ): array
    {
        $utm_name = $_GET['utm_name'] ?? 'utm_source';
        $search = $_GET['search'] ?? '';

        global $wpdb;
        $sql = "SELECT DISTINCT($utm_name) FROM {$wpdb->prefix}memberlux_keys_meta"
            . " WHERE $utm_name LIKE '%" . $wpdb->esc_like( $search ) . "%' LIMIT 100";

        return [
            'ok' => 1,
            'items' => $wpdb->get_col( $sql ) ?? [],
        ];
    }
}
