<?php

namespace Mbl\Analytics;

class SegmentsRoute
{
    public function create(): array
    {
        $post = json_decode(file_get_contents('php://input'), true);
        $segments = new Segments();
        $segments->create($post['name'], $post['description'], $post['type'], $post['params']);

        return ['ok' => true, 'segments' => $segments->query()];
    }

    public function edit(): array
    {
        $post = json_decode(file_get_contents('php://input'), true);
        $segments = new Segments();
        $segments->edit($post['id'], $post['data']);

        return ['ok' => true];
    }

    public function get(): array
    {
        $post = json_decode(file_get_contents('php://input'), true);
        $segments = new Segments();

        return ['ok' => true, 'items' => $segments->query()];
    }

    public function delete(): array
    {
        $post = json_decode(file_get_contents('php://input'), true);
        $segments = new Segments();
        $segments->delete($post['id']);

        return ['ok' => true];
    }
}
