<?php

namespace Mbl\Analytics;

function all_user_accessible_levels( $user_id, $start, $end ): array
{
    global $wpdb;
    $sql = $wpdb->prepare(
        "SELECT DISTINCT term_id FROM `{$wpdb->prefix}memberlux_term_keys`"
        ." WHERE user_id = %d AND date_start <= %s AND (date_end >= %s OR is_unlimited = 1)",
        $user_id, $end, $start
    );

    return array_map('absint', $wpdb->get_col($sql));
}
