import { createRoot } from "react-dom/client";
import { App } from "./App";

const container = document.getElementById("mban-root");
const root = createRoot(container)
root.render(<App {...window.__mban_ssr__} />);

if (module.hot) {
    function adminCss(href, id) {
        let elemId = `Link${id}`
        if (!!document.getElementById(elemId)) {
            return;
        }
        const link = document.createElement('link')
        link.href = href
        link.rel = 'stylesheet'
        link.media = 'all'
        link.id = elemId
        setTimeout(() => document.head.appendChild(link), 100)
    }

    window.addEventListener('parcelhmraccept', accept)

    function accept() {
        const links = document.querySelectorAll('link[rel="stylesheet"]');
        for (let i = 0; i < links.length; i++) {
            const href = links[i].getAttribute("href");
            if (href.indexOf('load-styles.php') !== -1) {
                adminCss(href, i)
            }
        }
    }
}
