import React from "react";
import * as style from "./SegmentBtn.module.css";

export default function SegmentBtn({ onClick, data, ...another }) {
    function onClickHandler() {
        onClick(data)
    }

    return <button {...another} onClick={onClickHandler} type="button"
                   className={style.btn}
                   aria-label={`Выбрать сегмент`}>
        <span className={`dashicons dashicons-download ${style.icon}`}></span>
    </button>
}