import React, { useContext } from "react";
import { Context } from "../../state/state";

export default function Success(props): React.FC {
    const { actions } = useContext(Context)
    return <div style={{ marginLeft: 0, marginRight: 0 }}
                className={`notice notice-success is-dismissible`}>
        <p>{props.children}</p>
        <button type="button" className="notice-dismiss" onClick={actions.segment.closeSuccess}>
            <span className="screen-reader-text">Скрыть это уведомление.</span>
        </button>
    </div>
}