import * as style from "./UserLink.module.css";
import React, { ReactNode } from "react";

type Props = {
    children?: ReactNode;
    onClick: () => void;
}
export default function UserLink({ children, onClick }: Props) {
    if (children.toString() === '0' || children === '-') {
        return children;
    }

    return (
        <button type="button" onClick={onClick} className={style.userLink}>{children}</button>
    )
}