import Sources from "../../src/Sources";
import ExpiringEvents from "../../src/ExpiringEvents";
import SalesEvents from "../../src/SalesEvents";
import CoursesEvents from "../../src/CoursesEvents";
import SegmentEvents from "../../src/SegmentEvents";
import { AppState } from "./AppState";
import SegmentTableEvents from "../../src/SegmentTableEvents";

export type StateContent = {
    state: AppState,
    actions: {
        toggleTab: (name) => void,
        segment: SegmentEvents,
        segmentTable: SegmentTableEvents,
        courses: CoursesEvents,
        sources: Sources,
        sales: SalesEvents,
        expiring: ExpiringEvents,
        fetch: ({ route, method = 'GET', body, headers = {} }) => Promise<any>,
    },
}