<?php

namespace Mbl\Analytics\Filter;

class CnAccess implements Condition
{
    private Condition $filter;

    public function __construct(array $levels)
    {
        if (!empty($levels) && $levels[0] !== 'all') {
            $this->filter = new CnSpecifiedAccesses($levels);
        } else {
            $this->filter = new CnAnyAccess();
        }
    }

    public function where($tbAlias): string
    {
        return $this->filter->where($tbAlias);
    }
}
