<?php

namespace Mbl\Analytics\Filter;

class CnSource implements Condition
{
    private Condition $filter;

    public function __construct(array $sources)
    {
        if (!empty($sources) && $sources[0] !== 'all') {
            $this->filter = new CnSpecifiedSource($sources);
        } else {
            $this->filter = new CnAnySource();
        }
    }

    public function where($tbAlias): string
    {
        return $this->filter->where($tbAlias);
    }
}
