<?php

namespace Mbl\Analytics\Filter;

class CnSpecifiedAccesses implements Condition
{
    /**
     * @var int[]
     */
    private array $levels;

    public function __construct(array $levels)
    {
        $this->levels = $levels;
    }

    public function where(string $tbAlias): string
    {
        $levelsIn = implode(', ', $this->levels);
        return "$tbAlias.term_id IN ($levelsIn)";
    }
}
