<?php

namespace Mbl\Analytics\Filter;

class CnSpecifiedSource implements Condition
{
    /**
     * @var string[]
     */
    private array $sources;

    public function __construct(array $sources)
    {
        $this->sources = $sources;
    }

    public function where(string $tbAlias): string
    {
        $sourcesIn = implode(', ', array_map(fn ($source) => "'$source'", $this->sources));
        return "$tbAlias.source IN ($sourcesIn)";
    }
}
