<?php

namespace Mbl\Analytics\Filter;

class CnWithTable implements Condition
{
    private Condition $origin;
    private SmTable $table;

    public function __construct(Condition $origin, SmTable $table)
    {
        $this->origin = $origin;
        $this->table = $table;
    }

    function where($tbAlias): string
    {
        return $this->table->withAlias($this->origin->where($tbAlias), $tbAlias);
    }
}
