<?php

namespace Mbl\Analytics\Filter;

class SmTable implements TableName
{
    private string $name;

    /**
     * @param string $name
     */
    public function __construct(string $name)
    {
        $this->name = $name;
    }

    public function withAlias(string $clause, string $search = '%s'): string
    {
        return str_replace($search, $this->name, $clause);
    }
}
